tigase.db

## Class NonAuthUserRepositoryImpl

- java.lang.Object
- - tigase.db.NonAuthUserRepositoryImpl

- All Implemented Interfaces:
    NonAuthUserRepository

      public class NonAuthUserRepositoryImpl
      extends Object
      implements NonAuthUserRepository

  Created: May 3, 2010 1:23:45 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from interface tigase.db.NonAuthUserRepository

      `OFFLINE_DATA_NODE, PUBLIC_DATA_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonAuthUserRepositoryImpl(UserRepository userRep, tigase.xmpp.BareJID defDomain, boolean autoCreateOffline)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOfflineData(tigase.xmpp.BareJID user, String subnode, String key, String value)` Method description
    `void` | `addOfflineDataList(tigase.xmpp.BareJID user, String subnode, String key, String[] list)` Method description
    `String` | `getDomainTempData(tigase.xmpp.BareJID domain, String subnode, String key, String def)` Method description
    `String` | `getPublicData(tigase.xmpp.BareJID user, String subnode, String key, String def)` Method description
    `String[]` | `getPublicDataList(tigase.xmpp.BareJID user, String subnode, String key)` Method description
    `String` | `getTempData(String subnode, String key, String def)` Method description
    `void` | `putDomainTempData(tigase.xmpp.BareJID domain, String subnode, String key, String value)` Method description
    `void` | `putTempData(String subnode, String key, String value)` Method description
    `void` | `removeDomainTempData(tigase.xmpp.BareJID domain, String subnode, String key)` Method description
    `void` | `removeTempData(String subnode, String key)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonAuthUserRepositoryImpl

          public NonAuthUserRepositoryImpl(UserRepository userRep,
                                   tigase.xmpp.BareJID defDomain,
                                   boolean autoCreateOffline)

      Constructs ...
      Parameters:
        `userRep` -
        `defDomain` -
        `autoCreateOffline` -

  - ### Method Detail

    - #### addOfflineData

          public void addOfflineData(tigase.xmpp.BareJID user,
                            String subnode,
                            String key,
                            String value)
                              throws UserNotFoundException,
                                     DataOverwriteException

      Method description
      Specified by:
        `addOfflineData` in interface `NonAuthUserRepository`
      Parameters:
        `user` -
        `subnode` -
        `key` -
        `value` -
      Throws:
        `DataOverwriteException`
        `UserNotFoundException`

    - #### addOfflineDataList

          public void addOfflineDataList(tigase.xmpp.BareJID user,
                                String subnode,
                                String key,
                                String[] list)
                                  throws UserNotFoundException

      Method description
      Specified by:
        `addOfflineDataList` in interface `NonAuthUserRepository`
      Parameters:
        `user` -
        `subnode` -
        `key` -
        `list` -
      Throws:
        `UserNotFoundException`

    - #### getDomainTempData

          public String getDomainTempData(tigase.xmpp.BareJID domain,
                                 String subnode,
                                 String key,
                                 String def)
                                   throws TigaseDBException

      Method description
      Specified by:
        `getDomainTempData` in interface `NonAuthUserRepository`
      Parameters:
        `domain` -
        `subnode` -
        `key` -
        `def` -
      Returns:
        a `String` value for a given subnode and key or `def` if no entry has been found.
      Throws:
        `TigaseDBException`

    - #### getPublicData

          public String getPublicData(tigase.xmpp.BareJID user,
                             String subnode,
                             String key,
                             String def)
                               throws UserNotFoundException

      Method description
      Specified by:
        `getPublicData` in interface `NonAuthUserRepository`
      Parameters:
        `user` -
        `subnode` -
        `key` -
        `def` -
      Returns:
        a `String` value for a given subnode and key or `def` if no entry has been found.
      Throws:
        `UserNotFoundException`

    - #### getPublicDataList

          public String[] getPublicDataList(tigase.xmpp.BareJID user,
                                   String subnode,
                                   String key)
                                     throws UserNotFoundException

      Method description
      Specified by:
        `getPublicDataList` in interface `NonAuthUserRepository`
      Parameters:
        `user` -
        `subnode` -
        `key` -
      Returns:
        a `String[]` value
      Throws:
        `UserNotFoundException`

    - #### getTempData

          public String getTempData(String subnode,
                           String key,
                           String def)
                             throws TigaseDBException

      Method description
      Specified by:
        `getTempData` in interface `NonAuthUserRepository`
      Parameters:
        `subnode` -
        `key` -
        `def` -
      Returns:
        a `String` value for a given subnode and key or `def` if no entry has been found.
      Throws:
        `TigaseDBException`

    - #### putDomainTempData

          public void putDomainTempData(tigase.xmpp.BareJID domain,
                               String subnode,
                               String key,
                               String value)
                                 throws TigaseDBException

      Method description
      Specified by:
        `putDomainTempData` in interface `NonAuthUserRepository`
      Parameters:
        `domain` -
        `subnode` -
        `key` -
        `value` -
      Throws:
        `TigaseDBException`

    - #### putTempData

          public void putTempData(String subnode,
                         String key,
                         String value)
                           throws TigaseDBException

      Method description
      Specified by:
        `putTempData` in interface `NonAuthUserRepository`
      Parameters:
        `subnode` -
        `key` -
        `value` -
      Throws:
        `TigaseDBException`

    - #### removeDomainTempData

          public void removeDomainTempData(tigase.xmpp.BareJID domain,
                                  String subnode,
                                  String key)
                                    throws TigaseDBException

      Method description
      Specified by:
        `removeDomainTempData` in interface `NonAuthUserRepository`
      Parameters:
        `domain` -
        `subnode` -
        `key` -
      Throws:
        `TigaseDBException`

    - #### removeTempData

          public void removeTempData(String subnode,
                            String key)
                              throws TigaseDBException

      Method description
      Specified by:
        `removeTempData` in interface `NonAuthUserRepository`
      Parameters:
        `subnode` -
        `key` -
      Throws:
        `TigaseDBException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.